# HTTPFastcgiService
> Fastcgi服务

---

## createHTTPFastcgi
> 创建Fastcgi

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPFastcgiService/createHTTPFastcgi`
- RPC：`rpc createHTTPFastcgi (CreateHTTPFastcgiRequest) returns (CreateHTTPFastcgiResponse);`

**请求对象 (`CreateHTTPFastcgiRequest`)**

```json
{
  "isOn": "bool // 是否启用",
  "address": "string",
  "paramsJSON": "bytes",
  "readTimeoutJSON": "bytes",
  "connTimeoutJSON": "bytes",
  "poolSize": "int32",
  "pathInfoPattern": "string"
}
```

**响应对象 (`CreateHTTPFastcgiResponse`)**

```json
{
  "httpFastcgiId": "int64"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPFastcgiService/createHTTPFastcgi" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findEnabledHTTPFastcgi
> 获取Fastcgi详情

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPFastcgiService/findEnabledHTTPFastcgi`
- RPC：`rpc findEnabledHTTPFastcgi (FindEnabledHTTPFastcgiRequest) returns (FindEnabledHTTPFastcgiResponse);`

**请求对象 (`FindEnabledHTTPFastcgiRequest`)**

```json
{
  "httpFastcgiId": "int64"
}
```

**响应对象 (`FindEnabledHTTPFastcgiResponse`)**

```json
{
  "httpFastcgi": "HTTPFastcgi"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPFastcgiService/findEnabledHTTPFastcgi" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findEnabledHTTPFastcgiConfig
> 获取Fastcgi配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPFastcgiService/findEnabledHTTPFastcgiConfig`
- RPC：`rpc findEnabledHTTPFastcgiConfig (FindEnabledHTTPFastcgiConfigRequest) returns (FindEnabledHTTPFastcgiConfigResponse);`

**请求对象 (`FindEnabledHTTPFastcgiConfigRequest`)**

```json
{
  "httpFastcgiId": "int64"
}
```

**响应对象 (`FindEnabledHTTPFastcgiConfigResponse`)**

```json
{
  "httpFastcgiJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPFastcgiService/findEnabledHTTPFastcgiConfig" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPFastcgi
> 修改Fastcgi

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPFastcgiService/updateHTTPFastcgi`
- RPC：`rpc updateHTTPFastcgi (UpdateHTTPFastcgiRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPFastcgiRequest`)**

```json
{
  "httpFastcgiId": "int64",
  "isOn": "bool // 是否启用",
  "address": "string",
  "paramsJSON": "bytes",
  "readTimeoutJSON": "bytes",
  "connTimeoutJSON": "bytes",
  "poolSize": "int32",
  "pathInfoPattern": "string"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPFastcgiService/updateHTTPFastcgi" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
